# Uses of Class
net.shibboleth.idp.attribute.filter.AttributeFilterException

Packages that use AttributeFilterException
Package
Description
net.shibboleth.idp.attribute.filter
This package contains a filtering engine for a collection of `IdPAttribute`s.
net.shibboleth.idp.attribute.filter.context
The contexts to do with attribute filtering.
net.shibboleth.idp.attribute.filter.impl
Implementations of core attribute filter functionality.

## Uses of AttributeFilterException in net.shibboleth.idp.attribute.filter

Methods in net.shibboleth.idp.attribute.filter that throw AttributeFilterException
Modifier and Type
Method
Description
`void`
AttributeFilterPolicy.`apply(AttributeFilterContext filterContext)`
Applies this filter policy to the given filter context if it is applicable.
`void`
AttributeRule.`apply(IdPAttribute attribute, AttributeFilterContext filterContext)`
Applies this rule to the respective attribute in the filter context.
`void`
AttributeFilter.`filterAttributes(AttributeFilterContext filterContext)`
Filters attributes and values.

## Uses of AttributeFilterException in net.shibboleth.idp.attribute.filter.context

Methods in net.shibboleth.idp.attribute.filter.context that throw AttributeFilterException
Modifier and Type
Method
Description
`void`
AttributeFilterWorkContext.`addDeniedIdPAttributeValues(String attributeId, Collection<IdPAttributeValue> attributeValues)`
Adds a collection of attribute values that are not permitted to be released.
`void`
AttributeFilterWorkContext.`addPermittedIdPAttributeValues(String attributeId, Collection<IdPAttributeValue> attributeValues)`
Adds a collection of attribute values that are permitted to be released.

## Uses of AttributeFilterException in net.shibboleth.idp.attribute.filter.impl

Methods in net.shibboleth.idp.attribute.filter.impl that throw AttributeFilterException
Modifier and Type
Method
Description
`void`
AttributeFilterImpl.`filterAttributes(AttributeFilterContext filterContext)`
Filters attributes and values.